Upstream information

CVE-2015-7577 at MITRE

Description

activerecord/lib/active_record/nested_attributes.rb in Active Record in Ruby on Rails 3.1.x and 3.2.x before 3.2.22.1, 4.0.x and 4.1.x before 4.1.14.1, 4.2.x before 4.2.5.1, and 5.x before 5.0.0.beta1.1 does not properly implement a certain destroy option, which allows remote attackers to bypass intended change restrictions by leveraging use of the nested attributes feature.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entry: 963330 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 2.1
  • ruby2.1-rubygem-activerecord-4_2 >= 4.2.2-5.1
  • rubygem-activerecord-4_2 >= 4.2.2-5.1
Patchnames:
SUSE-Storage-2.1-2016-261
SUSE Lifecycle Management Server 1.3
  • rubygem-activerecord-3_2 >= 3.2.12-0.15.1
Patchnames:
sleslms13-rubygem-activerecord-3_2-12433
SUSE Linux Enterprise Module for Containers 12
  • portus >= 2.0.3-2.4
Patchnames:
SUSE-SLE-Module-Containers-12-2016-672
SUSE Linux Enterprise Software Development Kit 11 SP4
  • rubygem-activerecord-3_2 >= 3.2.12-0.15.1
Patchnames:
sdksp4-rubygem-activerecord-3_2-12433
SUSE OpenStack Cloud 5
  • ruby2.1-rubygem-activerecord-4_1 >= 4.1.9-9.1
  • rubygem-activerecord-4_1 >= 4.1.9-9.1
Patchnames:
sleclo50sp3-rubygem-activerecord-4_1-12423
SUSE OpenStack Cloud 6
  • ruby2.1-rubygem-activerecord-4_2 >= 4.2.2-5.1
Patchnames:
SUSE OpenStack Cloud 6 GA ruby2.1-rubygem-activerecord-4_2
SUSE Studio Onsite 1.3
  • libcontainment-insomnia >= 0.1.1-0.9.4.19
  • libjansson >= 2.2.1-0.9.11.6
  • libjansson4 >= 2.2.1-0.9.11.6
  • qemu-ext2 >= 0.1.1-0.9.4.19
  • rubygem-activerecord-3_2 >= 3.2.12-0.15.1
  • rubygem-bundler19 >= 1.7.0-0.13.10
  • studio-help >= 1.3.20-0.6.9
  • susestudio >= 1.3.14-52.1
  • susestudio-bundled-packages >= 1.3.14-52.1
  • susestudio-common >= 1.3.14-52.1
  • susestudio-runner >= 1.3.14-52.1
  • susestudio-sid >= 1.3.14-52.1
  • susestudio-ui-server >= 1.3.14-52.1
Patchnames:
slestso13-rubygem-activerecord-3_2-12433
slestso13-susestudio-12990
SUSE Studio Onsite Runner 1.3
  • libcontainment-insomnia >= 0.1.1-0.9.4.19
  • libjansson >= 2.2.1-0.9.11.6
  • libjansson4 >= 2.2.1-0.9.11.6
  • qemu-ext2 >= 0.1.1-0.9.4.19
  • rubygem-bundler19 >= 1.7.0-0.13.10
  • studio-help >= 1.3.20-0.6.9
  • susestudio >= 1.3.14-52.1
  • susestudio-bundled-packages >= 1.3.14-52.1
  • susestudio-common >= 1.3.14-52.1
  • susestudio-runner >= 1.3.14-52.1
  • susestudio-ui-server >= 1.3.14-52.1
Patchnames:
slestso13-susestudio-12990
SUSE WebYast 1.3
  • rubygem-activerecord-3_2 >= 3.2.12-0.15.1
Patchnames:
slewyst13-rubygem-activerecord-3_2-12433
openSUSE Leap 42.1
  • ruby2.1-rubygem-actionpack-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-actionpack-doc-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-actionview-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-actionview-doc-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-activemodel-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-activemodel-doc-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-activerecord-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-activerecord-doc-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-activesupport-4_2 >= 4.2.4-6.1
  • ruby2.1-rubygem-activesupport-doc-4_2 >= 4.2.4-6.1
  • rubygem-actionpack-4_2 >= 4.2.4-6.1
  • rubygem-actionview-4_2 >= 4.2.4-6.1
  • rubygem-activemodel-4_2 >= 4.2.4-6.1
  • rubygem-activerecord-4_2 >= 4.2.4-6.1
  • rubygem-activesupport-4_2 >= 4.2.4-6.1
Patchnames:
openSUSE-2016-159


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Cloud 5 rubygem-activerecord-4_1 Released
SUSE Lifecycle Management Server 1.3 rubygem-activerecord-3_2 Released
SUSE Linux Enterprise SDK 11 SP4 rubygem-activerecord-3_2 Released
SUSE Studio Onsite 1.3 rubygem-activerecord-3_2 Released
WebYaST 1.3 rubygem-activerecord-3_2 Released